curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/connectors/readiness' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"ready": true,
"healthy": 1,
"total": 102,
"connectors": [
{
"connector_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"healthy": true,
"latency_ms": 250,
"error": "string",
"checked_at": "2026-08-31T14:22:05Z"
}
]
}
Check brand readiness
Aggregate readiness report from live-probing every connector — the go-live gate.
GET
/
v1
/
brands
/
{brand_id}
/
connectors
/
readiness
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/connectors/readiness' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"ready": true,
"healthy": 1,
"total": 102,
"connectors": [
{
"connector_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"healthy": true,
"latency_ms": 250,
"error": "string",
"checked_at": "2026-08-31T14:22:05Z"
}
]
}
Path parameters
string (uuid)
required
Response
object
boolean
required
True only when every connector is healthy and there is at least one
integer
required
integer
required
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | Aggregate readiness report from live-probing every connector — the go-live gate. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/connectors/readiness' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"ready": true,
"healthy": 1,
"total": 102,
"connectors": [
{
"connector_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"healthy": true,
"latency_ms": 250,
"error": "string",
"checked_at": "2026-08-31T14:22:05Z"
}
]
}
Last modified on August 31, 2026